#include <bits/stdc++.h>

using namespace std;
long long br0,br1;

int main()
{
    long long n,k;
    long long* a=(long long*)malloc(sizeof(long long)*(n+2));
    scanf("%lld",&n);
    scanf("%lld",&k);
    long f=0,i;
    for (i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
        if (a[i]==1) ++br1;
        if (a[i]==0) ++br0;
        if (a[i]!=1 && a[i]!=0) f=1;
    }
    /*if (k==1)
    {
        long long mn=a[0];
        if (a[1]<mn) mn=a[1];
        printf("%lld ",mn);
        for (i=2;i<n;i++)
            printf("%lld ",a[i]);
        return 0;
    }
    else*/
    //if (f==0)
    //{
        if (k>=br1)
        {
            for (i=0;i<n-k;i++)
                printf("0 ");
        }
        else
        {
            for (i=0;i<n;i++)
            {
                if (a[i]==1 && k>0) { --k; continue; }
                printf("%lld ",a[i]);
            }
        }
        return 0;
    /*}
    return 0;*/
}